package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcSafetyDanger;

/**
 * 监管单位Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcSafetyDangerMapper 
{
    /**
     * 查询监管单位
     * 
     * @param id 监管单位主键
     * @return 监管单位
     */
    public TcSafetyDanger selectTcSafetyDangerById(Long id);

    /**
     * 查询监管单位列表
     * 
     * @param tcSafetyDanger 监管单位
     * @return 监管单位集合
     */
    public List<TcSafetyDanger> selectTcSafetyDangerList(TcSafetyDanger tcSafetyDanger);

    /**
     * 新增监管单位
     * 
     * @param tcSafetyDanger 监管单位
     * @return 结果
     */
    public int insertTcSafetyDanger(TcSafetyDanger tcSafetyDanger);

    /**
     * 修改监管单位
     * 
     * @param tcSafetyDanger 监管单位
     * @return 结果
     */
    public int updateTcSafetyDanger(TcSafetyDanger tcSafetyDanger);

    /**
     * 删除监管单位
     * 
     * @param id 监管单位主键
     * @return 结果
     */
    public int deleteTcSafetyDangerById(Long id);

    /**
     * 批量删除监管单位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcSafetyDangerByIds(Long[] ids);
}
